from gi.overrides.keysyms import value
from nicegui import ui
from users import *
from definitions import *

@ui.page('/login')
def page_login():
    ui.label('Loginseite')

@ui.page('/stamping')
def page_stamping():
    ui.label('Stempelsteite')

@ui.page('/touchscreen')
def page_touchscreen():

    def button_click(name):
        ui.notify(name)

    userlist = list_users()
    number_of_users = len(userlist)

    for name in userlist:
        current_user = user(name)
        with ui.row():
            ui.markdown("**" + current_user.fullname + "**")
            ui.toggle([status_in, status_out], value=status_in, on_change=lambda: button_click())

@ui.page('/userlist')
def page_userlist():

    def click_button(button):
        ui.notify(button)

    ui.markdown("#" + app_title + " " + app_version)

    userlist = list_users()
    buttons = { }

    for name in userlist:
        button = ui.button(text=name, on_click=lambda name=name:click_button(name) )
        buttons[name] = button

ui.run(port=8090)


